package edu.sfedu.brsback.dto.recordbook;

import edu.sfedu.brsback.entities.RecordBook;
import jakarta.persistence.Column;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class RecordBookDto {
    private Long id;

    private String title;

    public RecordBookDto(RecordBook recordBook){
        id = recordBook.getId();
        title = recordBook.getTitle();
    }
}
