package edu.sfedu.brsback.dto.score;

import jakarta.annotation.Nullable;
import jakarta.validation.constraints.Min;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class ScoreSetDto {
    @Nullable
    private Long id;
    @NonNull
    private Long moduleId;
    @NonNull
    private Long recordBookId;
    @NonNull
    @Min(0)
    private Integer score;
}
