package edu.sfedu.brsback.events.eventlog;

import edu.sfedu.brsback.entities.Score;
import edu.sfedu.brsback.entities.User;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

@Getter
public class ScoreEdited extends ApplicationEvent {
    private final Score score;
    private final User teacher;

    public ScoreEdited(Object source, Score score, User teacher) {
        super(source);
        this.score = score;
        this.teacher = teacher;
    }

}
