package edu.sfedu.brsback.events.eventlog;

import edu.sfedu.brsback.entities.Score;
import edu.sfedu.brsback.entities.User;
import edu.sfedu.brsback.entities.Visit;
import lombok.RequiredArgsConstructor;
import org.springframework.context.ApplicationEventPublisher;
import org.springframework.stereotype.Component;

@Component
@RequiredArgsConstructor
public class VisitCreatedPublisher {
    private final ApplicationEventPublisher applicationEventPublisher;

    public void publish(final Visit visit, final User teacher) {
        VisitCreated visitCreated = new VisitCreated(this, visit, teacher);
        applicationEventPublisher.publishEvent(visitCreated);
    }
}
