package edu.sfedu.brsback.repos;

import edu.sfedu.brsback.entities.Score;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ScoreRepository extends JpaRepository<Score, Long> {
    @Query("select s from Score s where s.module.id = ?1 and s.recordBook.id = ?2")
    List<Score> findByModuleIdAAndRecordBookId(Long moduleId, Long recordBookId);
}