package edu.sfedu.brsback.services;

import edu.sfedu.brsback.dto.ModuleRightDto;
import edu.sfedu.brsback.entities.Module;
import edu.sfedu.brsback.entities.RecordBook;
import edu.sfedu.brsback.entities.User;

public interface ModuleRightService {
    ModuleRightDto getRightOnModule(Module module, User user);
    ModuleRightDto getRightOnModule(Module module, RecordBook recordBook);
    boolean setRightOnModule(Module module, User user, ModuleRightDto rightDTO);
    boolean setRightOnModule(Module module, RecordBook recordBook, ModuleRightDto rightDTO);
}
