package edu.sfedu.brsback.utils.auth;

import org.springframework.security.access.prepost.PreAuthorize;

import java.lang.annotation.*;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@PreAuthorize("hasAnyAuthority(T(edu.sfedu.brsback.enums.UserRole).TEACHER, T(edu.sfedu.brsback.enums.UserRole).MANAGER)")
public @interface EmployeeAuth {
}
