package edu.sfedu.brsback.builders;

import edu.sfedu.brsback.dto.ModuleRightDto;
import lombok.*;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class ModuleRightBuilder {
    private boolean rRead = false;
    private boolean rCreate = false;
    private boolean rEdit = false;
    private boolean rDelete = false;
    private boolean rScore = false;

    public ModuleRightDto toDTO(){
        return new ModuleRightDto(
                rRead,
                rCreate,
                rEdit,
                rDelete,
                rScore
        );
    }
}