package edu.sfedu.brsback.dto;

import edu.sfedu.brsback.entities.ModuleRight;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@AllArgsConstructor
@Getter
@Setter
public class ModuleRightDto {
    private boolean rRead;
    private boolean rCreate;
    private boolean rEdit;
    private boolean rDelete;
    private boolean rScore;

    public ModuleRightDto(ModuleRight moduleRight) {
        rRead = moduleRight.getRRead();
        rCreate = moduleRight.getRCreate();
        rEdit = moduleRight.getREdit();
        rDelete = moduleRight.getRDelete();
        rScore = moduleRight.getRScore();
    }
}