package edu.sfedu.brsback.dto.module;

import com.fasterxml.jackson.annotation.JsonProperty;
import jakarta.annotation.Nullable;
import lombok.*;
import org.hibernate.validator.constraints.Length;

@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class ModuleFilter {
    @Nullable
    @JsonProperty("record_book_id")
    private Long recordBookId = null;

    @Nullable
    @Length(min = 1, max = 120)
    @JsonProperty("title")
    private String title = null;

    @Nullable
    @JsonProperty("education_period_id")
    private Long educationPeriodId = null;

    @Nullable
    @JsonProperty("parent_module_id")
    private Long parentModuleId = null;

    @Nullable
    @JsonProperty("only_parents")
    private Boolean onlyParents = false;
}
