package edu.sfedu.brsback.events.eventlog;

import edu.sfedu.brsback.entities.Score;
import edu.sfedu.brsback.entities.User;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationEventPublisher;
import org.springframework.stereotype.Component;

@Component
@RequiredArgsConstructor
public class ScoreEditedPublisher {
    private final ApplicationEventPublisher applicationEventPublisher;

    public void publish(final Score score, final User teacher) {
        ScoreEdited scoreEdited = new ScoreEdited(this, score, teacher);
        applicationEventPublisher.publishEvent(scoreEdited);
    }
}
