package edu.sfedu.brsback.events.eventlog;

import edu.sfedu.brsback.entities.Score;
import edu.sfedu.brsback.entities.User;
import edu.sfedu.brsback.entities.Visit;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

@Getter
public class VisitCreated extends ApplicationEvent {
    private final Visit visit;
    private final User teacher;

    public VisitCreated(Object source, Visit visit, User teacher) {
        super(source);
        this.visit = visit;
        this.teacher = teacher;
    }

}
