package edu.sfedu.brsback.listeners.eventlog;

import edu.sfedu.brsback.entities.EventLog;
import edu.sfedu.brsback.events.eventlog.ScoreEdited;
import edu.sfedu.brsback.repos.EventLogRepository;
import lombok.RequiredArgsConstructor;
import org.jetbrains.annotations.NotNull;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
@RequiredArgsConstructor
public class ScoreEditedListener implements ApplicationListener<ScoreEdited> {
    private final EventLogRepository eventLogRepository;
    @Override
    public void onApplicationEvent(@NotNull ScoreEdited event) {
        eventLogRepository.save(
                new EventLog(event.getScore(), event.getTeacher())
        );
    }
}