package edu.sfedu.brsback.repos;

import edu.sfedu.brsback.entities.RecordBook;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface RecordBookRepository extends JpaRepository<RecordBook, Long> {
    @Query("select r from RecordBook r where r.user.id = ?1")
    List<RecordBook> findByStudentUserId(Long studentUserId);
}